## criu 1.4

=== Makefile ===
VERSION_MAJOR		:= 1
VERSION_MINOR		:= 4
VERSION_SUBLEVEL	:=
VERSION_EXTRA		:=
VERSION_NAME		:=
VERSION_SO_MAJOR	:= 1
VERSION_SO_MINOR	:= 0

export VERSION_MAJOR VERSION_MINOR VERSION_SUBLEVEL VERSION_EXTRA VERSION_NAME
export VERSION_SO_MAJOR VERSION_SO_MINOR

#
# FIXME zdtm building procedure requires implicit rules
# so I can't use strict make file mode and drop completely
# all of implicit rules, so I tuned only .SUFFIXES:
#
# In future zdtm makefiles need to be fixed and the line below
# may be uncommented.
#
#MAKEFLAGS := -r -R

#
# Common definitions
#

FIND		:= find
CSCOPE		:= cscope
RM		:= rm -f
LD		:= $(CROSS_COMPILE)ld
CC		:= $(CROSS_COMPILE)gcc
NM		:= $(CROSS_COMPILE)nm
SH		:= bash
MAKE		:= make
OBJCOPY		:= $(CROSS_COMPILE)objcopy

CFLAGS		+= $(USERCFLAGS)

#
# Fetch ARCH from the uname if not yet set
#
ARCH ?= $(shell uname -m | sed		\
		-e s/i.86/i386/		\
		-e s/sun4u/sparc64/	\
		-e s/s390x/s390/	\
		-e s/parisc64/parisc/	\
		-e s/ppc.*/powerpc/	\
		-e s/mips.*/mips/	\
		-e s/sh[234].*/sh/)

ifeq ($(ARCH),i386)
	SRCARCH      := x86-32
	DEFINES      := -DCONFIG_X86_32
	VDSO         := y
endif
ifeq ($(ARCH),x86_64)
	SRCARCH      := x86
	DEFINES      := -DCONFIG_X86_64
	LDARCH       := i386:x86-64
	VDSO         := y
endif

ifeq ($(shell echo $(ARCH) | sed -e 's/arm.*/arm/'),arm)
	ARMV         := $(shell echo $(ARCH) | sed -nr 's/armv([[:digit:]]).*/\1/p; t; i7')
	SRCARCH      := arm
	DEFINES      := -DCONFIG_ARMV$(ARMV)

	ifeq ($(ARMV),6)
		USERCFLAGS += -march=armv6
	endif

	ifeq ($(ARMV),7)
		USERCFLAGS += -march=armv7-a
	endif
endif
ifeq ($(ARCH),aarch64)
	VDSO         := y
endif

SRCARCH		?= $(ARCH)
LDARCH		?= $(SRCARCH)

SRC_DIR		?= $(CURDIR)
ARCH_DIR	:= arch/$(SRCARCH)

$(if $(wildcard $(ARCH_DIR)),,$(error "The architecture $(ARCH) isn't supported"))

cflags-y		+= -iquote include -iquote pie -iquote .
cflags-y		+= -iquote $(ARCH_DIR) -iquote $(ARCH_DIR)/include
cflags-y		+= -fno-strict-aliasing
export cflags-y

LIBS		:= -lrt -lpthread -lprotobuf-c -ldl

DEFINES		+= -D_FILE_OFFSET_BITS=64
DEFINES		+= -D_GNU_SOURCE

WARNINGS	:= -Wall

ifneq ($(WERROR),0)
	WARNINGS += -Werror
endif

ifeq ($(DEBUG),1)
	DEFINES += -DCR_DEBUG
	CFLAGS	+= -O0 -ggdb3
else
	CFLAGS	+= -O2
endif

ifeq ($(GMON),1)
	CFLAGS	+= -pg
	GMONLDOPT = -pg
endif

CFLAGS		+= $(WARNINGS) $(DEFINES)
SYSCALL-LIB	:= $(ARCH_DIR)/syscalls.built-in.o
ARCH-LIB	:= $(ARCH_DIR)/crtools.built-in.o
CRIU-SO		:= libcriu
CRIU-LIB	:= lib/$(CRIU-SO).so
CRIU-INC	:= lib/criu.h include/criu-plugin.h include/criu-log.h protobuf/rpc.proto

export CC MAKE CFLAGS LIBS SRCARCH DEFINES MAKEFLAGS CRIU-SO
export SRC_DIR SYSCALL-LIB SH RM ARCH_DIR OBJCOPY LDARCH LD
export USERCFLAGS
export cflags-y
export VDSO

include Makefile.inc
include Makefile.config
include scripts/Makefile.version
include scripts/Makefile.rules

.SUFFIXES:

#
# shorthand
build := -r -R -f scripts/Makefile.build makefile=Makefile obj
build-crtools := -r -R -f scripts/Makefile.build makefile=Makefile.crtools obj

PROGRAM		:= criu

.PHONY: all zdtm test rebuild clean distclean tags cscope	\
	docs help pie protobuf $(ARCH_DIR) clean-built lib

ifeq ($(GCOV),1)
%.o $(PROGRAM): override CFLAGS += --coverage
endif

all: config pie $(VERSION_HEADER) $(CRIU-LIB)
	$(Q) $(MAKE) $(PROGRAM)

protobuf/%::
	$(Q) $(MAKE) $(build)=protobuf $@
protobuf:
	$(Q) $(MAKE) $(build)=protobuf all

$(ARCH_DIR)/%:: protobuf config
	$(Q) $(MAKE) $(build)=$(ARCH_DIR) $@
$(ARCH_DIR): protobuf config
	$(Q) $(MAKE) $(build)=$(ARCH_DIR) all

pie/%:: $(ARCH_DIR)
	$(Q) $(MAKE) $(build)=pie $@
pie: $(ARCH_DIR)
	$(Q) $(MAKE) $(build)=pie all

%.o %.i %.s %.d: $(VERSION_HEADER) pie
	$(Q) $(MAKE) $(build-crtools)=. $@
built-in.o: $(VERSION_HEADER) pie
	$(Q) $(MAKE) $(build-crtools)=. $@

lib/%:: $(VERSION_HEADER) config built-in.o
	$(Q) $(MAKE) $(build)=lib $@
lib: $(VERSION_HEADER) config built-in.o
	$(Q) $(MAKE) $(build)=lib all

ifeq ($(VDSO),y)
$(ARCH_DIR)/vdso-pie.o: pie
	$(Q) $(MAKE) $(build)=pie $(ARCH_DIR)/vdso-pie.o
PROGRAM-BUILTINS	+= $(ARCH_DIR)/vdso-pie.o
ifeq ($(SRCARCH),aarch64)
PROGRAM-BUILTINS	+= $(ARCH_DIR)/intraprocedure.o
endif
endif

PROGRAM-BUILTINS	+= pie/util-fd.o
PROGRAM-BUILTINS	+= pie/util.o
PROGRAM-BUILTINS	+= protobuf/built-in.o
PROGRAM-BUILTINS	+= built-in.o

$(SYSCALL-LIB) $(ARCH-LIB) $(PROGRAM-BUILTINS): config

$(PROGRAM): $(SYSCALL-LIB) $(ARCH-LIB) $(PROGRAM-BUILTINS)
	$(E) "  LINK    " $@
	$(Q) $(CC) $(CFLAGS) $^ $(LIBS) $(LDFLAGS) $(GMONLDOPT) -rdynamic -o $@

zdtm: all
	$(Q) $(MAKE) -C test/zdtm all

test: zdtm
	$(Q) $(MAKE) -C test

clean-built:
	$(Q) $(RM) $(VERSION_HEADER)
	$(Q) $(MAKE) $(build)=$(ARCH_DIR) clean
	$(Q) $(MAKE) $(build)=protobuf clean
	$(Q) $(MAKE) $(build)=pie clean
	$(Q) $(MAKE) $(build)=lib clean
	$(Q) $(MAKE) $(build-crtools)=. clean
	$(Q) $(MAKE) -C Documentation clean
	$(Q) $(RM) ./include/config.h
	$(Q) $(RM) ./$(PROGRAM)

rebuild: clean-built
	$(E) "  FORCE-REBUILD"
	$(Q) $(MAKE)

clean: clean-built
	$(E) "  CLEAN"
	$(Q) $(RM) ./*.img
	$(Q) $(RM) ./*.out
	$(Q) $(RM) ./*.bin
	$(Q) $(RM) ./*.gcov ./*.gcda ./*.gcno
	$(Q) $(RM) -r ./gcov
	$(Q) $(RM) protobuf-desc-gen.h
	$(Q) $(MAKE) -C test $@

distclean: clean
	$(E) "  DISTCLEAN"
	$(Q) $(RM) ./tags
	$(Q) $(RM) ./cscope*

tags:
	$(E) "  GEN     " $@
	$(Q) $(RM) tags
	$(Q) $(FIND) . -name '*.[hcS]' ! -path './.*' -print | xargs ctags -a

cscope:
	$(E) "  GEN     " $@
	$(Q) $(FIND) . -name '*.[hcS]' ! -path './.*' -print > cscope.files
	$(Q) $(CSCOPE) -bkqu

docs:
	$(Q) $(MAKE) -s -C Documentation all

dist: tar
tar: criu-$(CRTOOLSVERSION).tar.bz2
criu-$(CRTOOLSVERSION).tar.bz2:
	git archive --format tar --prefix 'criu-$(CRTOOLSVERSION)/' \
		v$(CRTOOLSVERSION) | bzip2 > $@
.PHONY: dist tar

install: $(PROGRAM) $(CRIU-LIB) install-man
	$(E) "  INSTALL " $(PROGRAM)
	$(Q) mkdir -p $(DESTDIR)$(SBINDIR)
	$(Q) install -m 755 $(PROGRAM) $(DESTDIR)$(SBINDIR)
	$(Q) mkdir -p $(DESTDIR)$(LIBDIR)
	$(Q) install -m 755 $(CRIU-LIB) \
		$(DESTDIR)$(LIBDIR)/$(CRIU-SO).so.$(VERSION_SO_MAJOR).$(VERSION_SO_MINOR)
	$(Q) ln -fns $(CRIU-SO).so.$(VERSION_SO_MAJOR).$(VERSION_SO_MINOR) \
		$(DESTDIR)$(LIBDIR)/$(CRIU-SO).so.$(VERSION_SO_MAJOR)
	$(Q) ln -fns $(CRIU-SO).so.$(VERSION_SO_MAJOR).$(VERSION_SO_MINOR) \
		$(DESTDIR)$(LIBDIR)/$(CRIU-SO).so
	$(Q) mkdir -p $(DESTDIR)$(INCLUDEDIR)
	$(Q) install -m 644 $(CRIU-INC) $(DESTDIR)$(INCLUDEDIR)
	$(Q) mkdir -p $(DESTDIR)$(SYSTEMDUNITDIR)
	$(Q) install -m 644 scripts/sd/criu.socket $(DESTDIR)$(SYSTEMDUNITDIR)
	$(Q) install -m 644 scripts/sd/criu.service $(DESTDIR)$(SYSTEMDUNITDIR)
	$(Q) mkdir -p $(DESTDIR)$(LOGROTATEDIR)
	$(Q) install -m 644 scripts/logrotate.d/criu-service $(DESTDIR)$(LOGROTATEDIR)
	$(Q) sed -e 's,@version@,$(GITID),' \
		-e 's,@libdir@,$(LIBDIR),' \
		-e 's,@includedir@,$(dir $(INCLUDEDIR)),' \
		lib/criu.pc.in > criu.pc
	$(Q) mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
	$(Q) install -m 644 criu.pc $(DESTDIR)$(LIBDIR)/pkgconfig

install-man:
	$(Q) $(MAKE) -C Documentation install

.PHONY: install install-man

help:
	@echo '    Targets:'
	@echo '      all             - Build all [*] targets'
	@echo '    * criu            - Build criu'
	@echo '      zdtm            - Build zdtm test-suite'
	@echo '      docs            - Build documentation'
	@echo '      install         - Install binary and man page'
	@echo '      dist            - Create a source tarball'
	@echo '      clean           - Clean everything'
	@echo '      tags            - Generate tags file (ctags)'
	@echo '      cscope          - Generate cscope database'
	@echo '      rebuild         - Force-rebuild of [*] targets'
	@echo '      test            - Run zdtm test-suite'

gcov:
	$(E) " GCOV"
	$(Q) mkdir gcov && \
	cd gcov && \
	cp ../*.gcno ../*.c ../test/root/crtools/	&& \
	geninfo --no-checksum  --output-filename crtools.l.info --no-recursion .. && \
	geninfo --no-checksum  --output-filename crtools.ns.info --no-recursion ../test/root/crtools && \
	sed -i 's#/test/root/crtools##' crtools.ns.info && \
	lcov -a crtools.l.info -a crtools.ns.info -o crtools.info && \
	genhtml -o html crtools.info
.PHONY: gcov

.DEFAULT_GOAL	:= all

=== test/Makefile ===
TST = $(shell ./zdtm.sh -l)
RM := rm -f --one-file-system

ZDTM_ARGS ?= -C

.FORCE:

all:
	$(MAKE) zdtm
	$(MAKE) zdtm-pre-dump
	$(MAKE) zdtm-snapshot
	$(MAKE) zdtm-iter

.PHONY: all

TESTS = unix-callback mem-snap rpc libcriu mounts/ext security

other: .FORCE
	for t in $(TESTS); do			\
		$(MAKE) -C $$t run || break;	\
	done					\

zdtm: .FORCE 
	$(MAKE) zdtm_ns
	$(MAKE) zdtm_nons

zdtm-pre-dump:
	ZDTM_ARGS="-P -p -i 3 -C" $(MAKE) ns/static/pipe00

zdtm-snapshot:
	ZDTM_ARGS="-s -i 3 -C" $(MAKE) ns/static/pipe00

zdtm-iter:
	ZDTM_ARGS="-i 3 -C" $(MAKE) ns/static/pipe00

.PHONY: zdtm

fault-injection: .FORCE
	$(MAKE) -C fault-injection
.PHONY: fault-injection

zdtm_ns:   $(shell echo "$(TST)" | tr ' ' '\n' | awk '/^ns\// && !/tty|pty/ {print}')
zdtm_nons: $(shell echo "$(TST)" | tr ' ' '\n' | awk '!/^ns\// || /tty|pty/ {print}')

override CFLAGS += -D_GNU_SOURCE
zdtm_ct: zdtm_ct.c

clean:
	$(RM) zdtm_ct
	$(Q) $(RM) -r ./lib/
	$(Q) $(RM) -r ./lib64/
	$(Q) $(RM) -r ./dump/
	$(Q) $(RM) -r ./tmp
	$(Q) $(RM) *.log
	$(Q) $(MAKE) -C zdtm cleandep clean cleanout
	$(Q) $(MAKE) -C libcriu clean
	$(Q) $(MAKE) -C rpc clean

mount_cgroups: .FORCE
	flock zdtm_mount_cgroups ./zdtm_mount_cgroups

$(TST): zdtm_ct mount_cgroups .FORCE
	./zdtm.sh --ct ${ZDTM_ARGS} $(@) &> $(subst /,_,$@).log; \
	{ ret=$$?; fname=$(subst /,_,$@).log; flock Makefile cat $$fname; unlink $$fname; exit $$ret; }
.PHONY: zdtm_ns

=== test/zdtm/live/streaming/Makefile ===
include ../../Makefile.inc

LIBDIR	= ../../lib
LIB	= $(LIBDIR)/libzdtmtst.a
override CPPFLAGS += -I$(LIBDIR)
CFLAGS	= -g -O2 -Wall -Werror -fno-strict-aliasing
CFLAGS	+= $(USERCFLAGS)

TST_NOFILE	=	\
		pipe_loop00	\
		pipe_shared00	\
		socket_loop00	\
		netlink00	\
		file_aio	\
		socket-tcp	\
		socket-tcp6	\

TST_FILE	=	\
		unix_sock	\
		fifo_dyn	\
		fifo_loop	\

TST	= $(TST_NOFILE) $(TST_FILE)
SRC	= $(TST:%=%.c)
OBJ	= $(SRC:%.c=%.o)
DEP	= $(SRC:%.c=%.d)
PID	= $(TST:%=%.pid)
OUT	= $(TST:%=%.out)

DEPEND.c = $(COMPILE.c) -MM -MP
%.d:	%.c
	$(DEPEND.c) $(OUTPUT_OPTION) $<

all:	$(TST)
install: all
.PHONY: all install

$(TST_NOFILE:%=%.pid):	%.pid:	%
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out

$(TST_FILE:%=%.pid):	%.pid:	%
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --filename=$<.test

%.out:	%.pid %
	-kill -TERM `cat $<`

start:	$(PID)

%.is_running:	%.pid
	kill -0 `cat $<`

check_start:	$(PID:%.pid=%.is_running)

stop:
	-kill -TERM `cat *.pid`

WAIT_TIME=10
wait_stop:
	-for ((i = 0; i < $(WAIT_TIME); i++)); do \
		kill -0 `cat *.pid 2>/dev/null` 2>/dev/null || break; \
		sleep 1; \
	done

$(TST):	$(LIB)

file_aio: override LDLIBS += -lrt -pthread
socket-tcp: override CFLAGS += -D STREAM
socket-tcp6: override CFLAGS += -D ZDTM_IPV6 -D STREAM

$(LIB):	force
	$(Q) $(MAKE) -C $(LIBDIR)

clean:
	$(RM) -f $(OBJ) $(TST) *~

cleandep:	clean
	$(RM) -f $(DEP)

%.cleanout: %
	$(Q) $(RM) -f -r $<.pid $<.out* $<.test

cleanout:
	$(RM) -f *.pid *.out* *.test*

realclean:	cleandep cleanout

.PHONY:	force clean cleandep cleanout realclean start check_start stop wait_stop

ifeq ($(filter-out no-deps-targets, $(MAKECMDGOALS)),)
-include $(DEP)
endif

## criu 1.3.1

=== debian/changelog ===
criu (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Sep 2014 16:26:08 +0200

criu (1.3-1) unstable; urgency=low

  * Imported Upstream version 1.3
  * Update Vcs-Browser URL to cgit web frontend
  * Drop spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 01 Sep 2014 17:18:49 +0200

criu (1.3~rc2-5) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Aug 2014 11:53:05 +0200

criu (1.3~rc2-4) experimental; urgency=low

  * New Maintainer (Closes: #756087)
  * Wrap and sort fields in debian/control file
  * Change Vcs-Fields to the collab-maint repository on alioth
  * Update Build-Depends on libprotobuf-c-dev rather than libprotobuf-c0-dev
  * Drop override for dh_builddeb.
    Default compression for dpkg-deb when building a package is now xz.
  * Drop explicit xz compression option through debian/source/options
  * Add debian/watch file to scan upstream sources for new releases
  * Add myself to copyright holders for debian/* packaging
  * Update Upstream-Name in debian/copyright to CRIU
  * Update location of upstream git repository in debian/copyright Source field
  * Update patch header for 0002-unused-function.patch
  * Add spelling-error-in-manpage.patch patch.
    Fix spelling errors in manpage.
  * Drop override for dh_auto_clean.
    Explicit override to clean Documentation build is not needed anymore.
  * Drop override for dh_auto_build.
    Explicit override to build Documentation is not needed.
  * Drop 0001-documentation.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 31 Jul 2014 13:42:53 +0200

criu (1.3~rc2-3) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:54:56 +0200

criu (1.3~rc2-2) unstable; urgency=low

  * Adding patch from Arthur Marble <arthur@info9.net> to fix FTBFS with
    clang (Closes: #753845).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 16 Jul 2014 22:25:21 +0200

criu (1.3~rc2-1) unstable; urgency=low

  * Merging upstream version 1.3~rc2.
  * Making wheezy-compatible alternative recommends to iproute2 (Closes:
    #753706).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Jul 2014 08:53:47 +0200

criu (1.3~rc1-1) unstable; urgency=low

  * Merging upstream version 1.3~rc1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Apr 2014 11:59:07 +0200

criu (1.2-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:45:46 +0200

criu (1.2-1) experimental; urgency=low

  * Merging upstream version 1.2.
  * Updating year in copyright for 2014.
  * Refreshing documentation.patch.
  * Updating rules for logrotate files installation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 01 Mar 2014 13:38:13 +0100

criu (1.1-1) experimental; urgency=low

  * Merging upstream version 1.1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 01 Feb 2014 06:39:06 +0100

criu (1.1~rc2-1) experimental; urgency=low

  * Merging upstream version 1.1~rc2.
  * Refreshing documentation.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Jan 2014 19:15:52 +0100

criu (1.1~rc1-1) experimental; urgency=low

  * Merging upstream version 1.1~rc1.
  * Updating year in copyright file for 2014.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 06:15:52 +0100

criu (1.0-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Merging upstream version 1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Nov 2013 20:04:24 +0100

criu (0.8-1) experimental; urgency=low

  * Merging upstream version 0.8.
  * Adding another comma in depends list for consistency reasons.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Oct 2013 23:37:03 +0200

criu (0.7-1) experimental; urgency=low

  * Merging upstream version 0.7.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 Sep 2013 15:00:44 +0200

criu (0.6-2) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Updating vcs fields.
  * Removing crtools transitional packaging now that crtools has been
    removed (was post-wheezy introduced).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 16 Aug 2013 11:37:17 +0200

criu (0.6-1) experimental; urgency=low

  * Merging upstream version 0.6.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Jul 2013 19:10:45 +0200

criu (0.5+20130521-2) experimental; urgency=low

  * Update packaging for upstreams rename of crtools to criu.
  * Adding transitional package for crtools.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 11:01:32 +0200

crtools (0.5+20130521-1) experimental; urgency=low

  * Merging upstream version 0.5+20130521:
    - fixes FTBFS with eglibc 2.17 (Closes: #701265).
  * Building package on armhf.
  * Rediffing documentation.patch.
  * Using upstreams install target rather than debhelper files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 09:52:14 +0200

crtools (0.4-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:23:54 +0100

crtools (0.4-1) unstable; urgency=low

  * Merging upstream version 0.4.
  * Including upstreams credits file as documentation.
  * Adding asciidoc and xmlto to build-depends.
  * Adding patch to remove non-working echo entries from documentation
    makefile.
  * Building and including crtools manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 13:11:20 +0100

crtools (0.3-1) unstable; urgency=low

  * Merging upstream version 0.3.
  * Updating years in copyright file.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Jan 2013 06:35:54 +0100

crtools (0.2-2) unstable; urgency=low



=== debian/control ===
Source: criu
Section: admin
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 9),
 libprotobuf-c-dev,
 protobuf-c-compiler,
 xmlto
Standards-Version: 3.9.5
Homepage: http://www.criu.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/criu.git
Vcs-Git: git://anonscm.debian.org/collab-maint/criu.git

Package: criu
Architecture: amd64 armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iproute2 | iproute
Description: checkpoint and restore in userspace
 criu contains the utilities to checkpoint and restore processes in
 userspace.

Package: criu-dbg
Section: debug
Priority: extra
Architecture: amd64 armhf
Depends: criu (= ${binary:Version}), ${misc:Depends}
Description: checkpoint and restore in userspace (debug)
 criu contains the utilities to checkpoint and restore processes in
 userspace.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-all

%:
	dh ${@} --parallel

override_dh_auto_install:
	mkdir -p debian/criu/etc/logrotate.d

	dh_auto_install -- DESTDIR="$(CURDIR)/debian/criu" PREFIX="/usr" LOGROTATEDIR="/etc/logrotate.d"

override_dh_auto_test:
	# disabled: doesn't work yet

override_dh_strip:
	dh_strip --dbg-package=criu-dbg

## criu 1.4

=== debian/changelog ===
criu (1.4-1) experimental; urgency=medium

  * Imported Upstream version 1.4
  * Refresh 0002-unused-function.patch patch
  * Declare compliance with Debian Policy 3.9.6
  * Install contrib/docker_cr.sh to examples

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Dec 2014 21:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libprotobuf-c-dev,
  protobuf-c-compiler,
  xmlto
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.criu.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/criu.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/criu.git

## criu 1.5.2

=== debian/changelog ===
criu (1.5.2-1) unstable; urgency=low

  * Imported Upstream version 1.5.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 28 Apr 2015 08:57:13 +0200

criu (1.5.1-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Apr 2015 11:35:33 +0200

criu (1.5.1-1) experimental; urgency=medium

  * Imported Upstream version 1.5 and 1.5.1 (Closes: #780213)
  * Add Build-Depends on libprotobuf-dev and protobuf-compiler
  * Install new crit utility.
    Add Build-Depends on dh-python and python-all (>= 2.6.6-3~).
    Use the python2 dh addon in debian/rules
    Add Depends on ${python:Depends} to add proper runtime dependencies on
    python for crit.
  * Correct installation path for crit utility
  * Add Depends on python-ipaddr for crit utility
  * Add Depends on python-protobuf for crit utility
  * Add minimal manpage for the crit

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 Apr 2015 11:51:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=-all
 
 %:
-	dh ${@} --parallel
+	dh ${@} --parallel --with python2
 
 override_dh_auto_install:
 	mkdir -p debian/criu/etc/logrotate.d

## criu 1.6

=== debian/changelog ===
criu (1.6-2) unstable; urgency=low

  * Upload to unstable
  * Fix position for optional arguments in crit's manpage

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 25 Jun 2015 07:37:25 +0200

criu (1.6-1) experimental; urgency=low

  * Imported Upstream version 1.6
  * Drop 0002-unused-function.patch patch
  * Drop crit-install-prefix.patch patch
  * Update copyright years for upstream files
  * Add 0001-Fix-spelling-errors-in-documentation.patch patch
  * Add 0002-Fix-spelling-error-in-usage-text.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 Jun 2015 12:01:12 +0200

## criu 1.7

=== protobuf/Makefile ===
proto-obj-y	+= stats.o
proto-obj-y	+= core.o
proto-obj-y	+= core-x86.o
proto-obj-y	+= core-arm.o
proto-obj-y	+= core-aarch64.o
proto-obj-y	+= core-ppc64.o
proto-obj-y	+= cpuinfo.o
proto-obj-y	+= inventory.o
proto-obj-y	+= fdinfo.o
proto-obj-y	+= fown.o
proto-obj-y	+= ns.o
proto-obj-y	+= regfile.o
proto-obj-y	+= ghost-file.o
proto-obj-y	+= fifo.o
proto-obj-y	+= remap-file-path.o
proto-obj-y	+= eventfd.o
proto-obj-y	+= eventpoll.o
proto-obj-y	+= fh.o
proto-obj-y	+= fsnotify.o
proto-obj-y	+= signalfd.o
proto-obj-y	+= fs.o
proto-obj-y	+= pstree.o
proto-obj-y	+= pipe.o
proto-obj-y	+= tcp-stream.o
proto-obj-y	+= sk-packet.o
proto-obj-y	+= mnt.o
proto-obj-y	+= pipe-data.o
proto-obj-y	+= sa.o
proto-obj-y	+= timer.o
proto-obj-y	+= timerfd.o
proto-obj-y	+= mm.o
proto-obj-y	+= sk-opts.o
proto-obj-y	+= sk-unix.o
proto-obj-y	+= sk-inet.o
proto-obj-y	+= tun.o
proto-obj-y	+= sk-netlink.o
proto-obj-y	+= packet-sock.o
proto-obj-y	+= ipc-var.o
proto-obj-y	+= ipc-desc.o
proto-obj-y	+= ipc-shm.o
proto-obj-y	+= ipc-msg.o
proto-obj-y	+= ipc-sem.o
proto-obj-y	+= utsns.o
proto-obj-y	+= creds.o
proto-obj-y	+= vma.o
proto-obj-y	+= netdev.o
proto-obj-y	+= tty.o
proto-obj-y	+= file-lock.o
proto-obj-y	+= rlimit.o
proto-obj-y	+= pagemap.o
proto-obj-y	+= siginfo.o
proto-obj-y	+= rpc.o
proto-obj-y	+= ext-file.o
proto-obj-y	+= cgroup.o
proto-obj-y	+= userns.o
proto-obj-y	+= google/protobuf/descriptor.o # To make protoc-c happy and compile opts.proto
proto-obj-y	+= opts.o

CFLAGS		+= -I$(obj)/

#
# Generates a set of names from protobuf "import" directive.
# The names are bare, ie no suffixes.
define gen-proto-dep-names
$(shell grep "^[[:blank:]]*import[[:blank:]]" $(1)      |       \
        sed     -e 's/[[:blank:]]*import[[:blank:]]*//'         \
                -e 's/[\";]//g'                                 \
                -e 's/\.proto//g'                       |       \
        sort | uniq)
endef

#
# Generates rules needed to compile protobuf files.
define gen-proto-rules
$(obj)/$(1).pb-c.c $(obj)/$(1).pb-c.h: $(obj)/$(1).proto $(addsuffix .pb-c.c,$(addprefix $(obj)/,$(2)))
	$$(E) "  PBCC    " $$@
	$$(Q) protoc-c --proto_path=$(obj)/ --c_out=$(obj)/ $$<
ifeq ($(PROTOUFIX),y)
	$$(Q) sed -i -e 's/4294967295/0xFFFFFFFF/g' $$@
	$$(Q) sed -i -e 's/4294967295/0xFFFFFFFF/g' $$(patsubst %.c,%.h,$$@)
	$$(Q) sed -i -e 's/4294967295/0xFFFFFFFF/g' $$(patsubst %.h,%.c,$$@)
endif
$(obj)/$(1).pb-c.d: $(obj)/$(1).pb-c.c $(addsuffix .pb-c.d,$(addprefix $(obj)/,$(2)))
	$$(E) "  DEP     " $$@
	$$(Q) $$(CC) -M -MT $$@ -MT $(patsubst %.d,%.o,$$@) $$(CFLAGS) $$< -o $$@
endef

$(foreach file, $(proto-obj-y),                                                 \
        $(eval $(call gen-proto-rules,$(file:.o=),                              \
                        $(call gen-proto-dep-names,                             \
                                $(addprefix $(obj)/,$(file:.o=.proto))))))

$(obj)/%.o: $(obj)/%.pb-c.c $(obj)/%.pb-c.h
	$(E) "  CC      " $@
	$(Q) $(CC) -c $(CFLAGS) $< -o $@

$(obj)/built-in.o: $(addprefix $(obj)/,$(proto-obj-y))
	$(E) "  LINK    " $@
	$(Q) $(LD) $(ldflags-y) -r -o $@ $^

_all += $(obj)/built-in.o

ifneq ($(MAKECMDGOALS),clean)
-include $(addprefix $(obj)/,$(proto-obj-y:.o=.pb-c.d))
endif

cleanup-y += $(obj)/*.c.d $(obj)/*.pb-c.c $(obj)/*.pb-c.h
cleanup-y += $(obj)/google/protobuf/*.d
cleanup-y += $(obj)/google/protobuf/*.h
cleanup-y += $(obj)/google/protobuf/*.c
cleanup-y += $(obj)/google/protobuf/*.o
cleanup-y += $(obj)/*.d $(obj)/*.i $(obj)/*.s $(obj)/*.o

=== test/fault-injection/Makefile ===
all:
	stap -g -d ../../criu parasite.stp $$RANDOM -c 'bash -x ../zdtm.sh -d -x socket-tcp'

=== test/zdtm/live/static/Makefile ===
include ../../Makefile.inc

LIBDIR	= ../../lib
LIB	= $(LIBDIR)/libzdtmtst.a
override CPPFLAGS += -I$(LIBDIR)
CFLAGS	= -g -O2 -Wall -Werror -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
CFLAGS	+= $(USERCFLAGS)

TST_NOFILE	=				\
		busyloop00			\
		sleeping00			\
		pid00				\
		caps00				\
		wait00				\
		zombie00			\
		fpu00				\
		fpu01				\
		arm-neon00			\
		futex				\
		futex-rl			\
		mmx00				\
		sse00				\
		sse20				\
		mprotect00			\
		timers				\
		timerfd				\
		unbound_sock			\
		sched_prio00			\
		sched_policy00			\
		socket_listen			\
		socket_listen6			\
		socket_udp			\
		socket6_udp			\
		socket_udplite			\
		socket_aio			\
		socket_close_data		\
		socket_snd_addr			\
		socket_dgram_data		\
		packet_sock			\
		packet_sock_mmap		\
		sock_filter			\
		msgque				\
		inotify_system			\
		inotify_system_nodel		\
		shm				\
		ptrace_sig			\
		pipe00				\
		pipe01				\
		pipe02				\
		pthread00			\
		pthread01			\
		pthread02			\
		vdso00				\
		vdso01				\
		utsname				\
		pstree				\
		sockets01			\
		sockets02			\
		sockets_spair			\
		socket_queues			\
		socket_queues02			\
		socket-tcp			\
		socket-tcp6			\
		socket-tcpbuf			\
		socket-tcpbuf-local		\
		socket-tcpbuf6			\
		sock_opts00			\
		sock_opts01			\
		sk-unix-unconn			\
		ipc_namespace			\
		selfexe00			\
		sem				\
		maps01				\
		maps02				\
		maps03				\
		maps04				\
		maps05				\
		mlock_setuid			\
		xids00				\
		groups				\
		pdeath_sig			\
		file_fown			\
		proc-self			\
		eventfs00			\
		signalfd00			\
		inotify_irmap			\
		fanotify00			\
		uptime_grow			\
		session00			\
		rlimits00			\
		pty00				\
		pty01				\
		pty02				\
		pty03				\
		pty04				\
		tty00				\
		tty02				\
		tty03				\
		poll				\
		mountpoints			\
		netns				\
		netns-dev			\
		session01			\
		session02			\
		session03			\
		socket-ext			\
		unhashed_proc			\
		cow00				\
		child_opened_proc		\
		posix_timers			\
		sigpending			\
		sigaltstack			\
		sk-netlink			\
		mem-touch			\
		grow_map			\
		grow_map02			\
		grow_map03			\
		tun				\
		stopped				\
		rtc				\
		clean_mntns			\
		mntns_rw_ro_rw			\
		dumpable01			\
		dumpable02			\
		remap_dead_pid			\
		aio00				\
		fd				\
		apparmor				\
		seccomp_strict			\
		different_creds			\
#		jobctl00			\

TST_FILE	=				\
		write_read00			\
		write_read01			\
		write_read02			\
		write_read10			\
		maps00				\
		link10				\
		file_attr			\
		deleted_unix_sock		\
		sk-unix-rel			\
		deleted_dev			\
		unlink_fstat00			\
		unlink_fstat01			\
		unlink_fstat02			\
		unlink_fstat03			\
		unlink_largefile		\
		mtime_mmap			\
		fifo				\
		fifo-ghost			\
		fifo_ro				\
		fifo_wronly			\
		console				\
		vt				\
		unlink_fifo			\
		unlink_fifo_wronly		\
		unlink_mmap00			\
		unlink_mmap01			\
		unlink_mmap02			\
		file_shared			\
		file_append			\
		cow01				\
		fdt_shared			\
		sockets00			\
		sockets_dgram			\
		file_locks00			\
		file_locks01			\
		file_locks02			\
		file_locks03			\
		file_locks04			\
		file_locks05			\
		netns-nf			\
		maps_file_prot			\

TST_DIR		=				\
		cwd00				\
		cwd01				\
		cwd02				\
		overmount_dev			\
		overmount_file			\
		overmount_fifo			\
		overmount_sock			\
		tempfs				\
		mount_paths			\
		bind-mount			\
		inotify00			\
		cgroup00			\
		rmdir_open			\
		cgroup01			\
		cgroup02			\
		mntns_open			\
		mntns_link_remap		\
		mntns_link_ghost		\
		mntns_shared_bind		\
		mntns_shared_bind02		\
		mntns_root_bind			\
		mnt_ext_auto			\
		mnt_ext_master			\
		mntns_deleted			\

TST_DIR_FILE	=				\
		chroot				\
		chroot-file

TST		=				\
		$(TST_NOFILE)			\
		$(TST_FILE)			\
		$(TST_DIR)			\
		$(TST_DIR_FILE)			\
		env00				\
		fifo-rowo-pair			\
		umask00				\
		cmdlinenv00			\

TST_STATE	=				\
		conntracks			\
		route_rules			\


SRC	= $(TST:%=%.c)
OBJ	= $(SRC:%.c=%.o)
DEP	= $(SRC:%.c=%.d)
PID	= $(TST:%=%.pid)
OUT	= $(TST:%=%.out)
STATE	= $(TST_STATE:%=%.state)
STATE_OUT	= $(TST_STATE:%=%.out)

DEPEND.c = $(COMPILE.c) -MM -MP
%.d:	%.c
	$(DEPEND.c) $(OUTPUT_OPTION) $<

all:	$(TST) criu-rtc.so
install: all
.PHONY: all install

inotify_system_nodel.c: inotify_system.c
	ln -sf inotify_system.c inotify_system_nodel.c

$(TST_NOFILE:%=%.pid):	%.pid:	%
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out

$(TST_FILE:%=%.pid):	%.pid:	%
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --filename=$<.test

$(TST_DIR:%=%.pid):	%.pid:	%
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --dirname=$<.test

$(TST_DIR_FILE:%=%.pid):	%.pid:	%
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --dirname=$<.dir.test --filename=$<.test

cmdlinenv00.pid: cmdlinenv00
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --arg1=arg1 --arg2=arg2 --arg3=arg3

env00.pid:	env00
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --envname=ENV_00_TEST
umask00.pid:	umask00
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --mask=0345

fifo-rowo-pair.pid: fifo-rowo-pair
	$(<D)/$(<F) --pidfile=$@ --outfile=$<.out --name_master=$<.master.test --name_slave=$<.slave.test

%.out:	%.pid %
	-kill -TERM `cat $<`

$(TST_STATE:%=%.state):	%.state: %
	$(<D)/$(<F) --statefile=$@ --outfile=$<.out start

$(TST_STATE:%=%.out): %.out: %
	-$(<D)/$(<F) --statefile=$<.state --outfile=$@ stop

start:	$(PID) $(STATE)

%.is_running:	%.pid
	kill -0 `cat $<`

check_start:	$(PID:%.pid=%.is_running)

stop:	$(STATE_OUT)
	-kill -TERM `cat *.pid`

WAIT_TIME=240
%.stop:	%.pid %
	kill -TERM `cat $<`; \
	i=0; \
	while [ $$i -lt $(WAIT_TIME) ] ; do \
		kill -0 `cat $< 2>/dev/null` 2>/dev/null || break; \
		sleep 1; \
		echo -n .; \
		i=`expr $$i + 1`; \
	done; \
	echo; \
	[ $$i -lt $(WAIT_TIME) ]

wait_stop:
		i=0; \
		while [ $$i -lt $(WAIT_TIME) ] ; do \
		kill -0 `cat *.pid 2>/dev/null` 2>/dev/null || break; \
		sleep 1; \
		i=`expr $$i + 1`; \
	done

$(TST):	$(LIB)

aio00:			override LDLIBS += -laio
different_creds:	override LDLIBS += -lcap
futex.o:		override CFLAGS += -pthread
futex:			override LDFLAGS += -pthread
futex-rl.o:		override CFLAGS += -pthread
futex-rl:		override LDFLAGS += -pthread
jobctl00:		override LDLIBS += -lutil
socket_listen:		override LDLIBS += -lrt -pthread
socket_aio:		override LDLIBS += -lrt -pthread
uptime_grow:	override LDLIBS += -lrt -pthread
unlink_largefile:	override CFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
inotify_system_nodel:	override CFLAGS += -DNODEL
pthread00:		override LDLIBS += -pthread
pthread01:		override LDLIBS += -pthread
pthread02:		override LDLIBS += -pthread
sigpending:		override LDLIBS += -pthread
sigaltstack:		override LDLIBS += -pthread
shm:			override CFLAGS += -DNEW_IPC_NS
msgque:			override CFLAGS += -DNEW_IPC_NS
sem:			override CFLAGS += -DNEW_IPC_NS
posix_timers:		override LDLIBS += -lrt -pthread
socket-tcp6: override CFLAGS += -D ZDTM_IPV6
socket-tcpbuf6: override CFLAGS += -D ZDTM_IPV6
socket-tcpbuf-local: override CFLAGS += -D ZDTM_TCP_LOCAL
socket_listen6: override CFLAGS += -D ZDTM_IPV6
sigpending:		override LDLIBS += -lrt
vdso01:			override LDLIBS += -lrt
mntns_link_remap:	override CFLAGS += -DZDTM_LINK_REMAP
mntns_shared_bind02:		override CFLAGS += -DSHARED_BIND02
maps02:		get_smaps_bits.o
mlock_setuid:		get_smaps_bits.o

$(LIB):	force
	$(Q) $(MAKE) -C $(LIBDIR)

clean:
	$(RM) -f $(OBJ) $(TST) *~ criu-rtc.so criu-rtc.pb-c.c criu-rtc.pb-c.h get_smaps_bits.o

cleandep:	clean
	$(RM) -f $(DEP)

cleanout:
	$(RM) -f -r *.pid *.out* *.test* *.state ip.dump ip.rst

%.cleanout: %
	$(Q) $(RM) -f -r $<.pid $<.out* *$<.test* $<.*.test $<.state

realclean:	cleandep cleanout

rtc.c: criu-rtc.so

criu-rtc.pb-c.c: criu-rtc.proto
	protoc-c --proto_path=. --c_out=. criu-rtc.proto

criu-rtc.so: criu-rtc.c criu-rtc.pb-c.c
	$(CC) -g -Wall -shared -nostartfiles criu-rtc.c criu-rtc.pb-c.c -o criu-rtc.so -iquote ../../../../include -fPIC $(USERCFLAGS)

.PHONY:	force clean cleandep cleanout realclean start check_start stop wait_stop

ifeq ($(filter-out no-deps-targets, $(MAKECMDGOALS)),)
-include $(DEP)
endif

=== debian/changelog ===
criu (1.7-3) unstable; urgency=medium

  * Add 01-reproducible-build.diff patch.
    Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #801211)
  * Don't install criu systemd service files and logrotate script.
    Don't install criu.service, criu.socket and corresponding logrotate
    script for criu.service. (Closes: #792008)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 08 Oct 2015 12:30:33 +0200

criu (1.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Sep 2015 07:55:51 +0200

criu (1.7-1) experimental; urgency=low

  * Imported Upstream version 1.7
  * Add copyright stanza for arch/ppc64/misc.S
  * Drop 0001-Fix-spelling-errors-in-documentation.patch patch
  * Drop 0002-Fix-spelling-error-in-usage-text.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Sep 2015 12:35:44 +0200

criu (1.6.1-1) experimental; urgency=low

  * Imported Upstream version 1.6.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Sep 2015 07:52:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,12 @@
 Build-Depends:
  asciidoc,
  debhelper (>= 9),
+ dh-python,
  libprotobuf-c-dev,
+ libprotobuf-dev,
  protobuf-c-compiler,
+ protobuf-compiler,
+ python-all (>= 2.6.6-3~),
  xmlto
 Standards-Version: 3.9.6
 Homepage: http://www.criu.org/
@@ -15,7 +19,7 @@
 
 Package: criu
 Architecture: amd64 armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: python-ipaddr, python-protobuf, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Recommends: iproute2 | iproute
 Description: checkpoint and restore in userspace
  criu contains the utilities to checkpoint and restore processes in

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-all

PACKAGE = $(firstword $(shell dh_listpackages))
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh ${@} --parallel --with python2

override_dh_auto_install:
	dh_auto_install -- DESTDIR="$(CURDIR)/debian/criu" PREFIX="/usr"
	
	# Cf. #792008; don't install criu systemd service anymore
	rm --verbose $(TMP)/usr/etc/logrotate.d/criu-service
	rmdir --ignore-fail-on-non-empty --parents --verbose $(TMP)/usr/etc/logrotate.d
	rm --verbose $(TMP)/usr/lib/systemd/system/criu.service
	rm --verbose $(TMP)/usr/lib/systemd/system/criu.socket
	rmdir --ignore-fail-on-non-empty --parents --verbose $(TMP)/usr/lib/systemd/system

override_dh_auto_test:
	# disabled: doesn't work yet

override_dh_strip:
	dh_strip --dbg-package=criu-dbg

## criu 1.7.2

=== debian/changelog ===
criu (1.7.2-2) unstable; urgency=medium

  * Add missing copyright stanza for included sd-daemon.[ch] files
  * Enable ppc64el support.
    Thanks to Breno Leitao <brenohl@br.ibm.com> and Laurent Dufour
    <ldufour@linux.vnet.ibm.com> (Closes: #788491)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Dec 2015 11:42:51 +0100

criu (1.7.2-1) unstable; urgency=medium

  * Imported Upstream version 1.7.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 29 Oct 2015 15:42:58 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/criu.git
 
 Package: criu
-Architecture: amd64 armhf
+Architecture: amd64 armhf ppc64el
 Depends: python-ipaddr, python-protobuf, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Recommends: iproute2 | iproute
 Description: checkpoint and restore in userspace
@@ -28,7 +28,7 @@
 Package: criu-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 armhf
+Architecture: amd64 armhf ppc64el
 Depends: criu (= ${binary:Version}), ${misc:Depends}
 Description: checkpoint and restore in userspace (debug)
  criu contains the utilities to checkpoint and restore processes in
